PXZ(1)

NAME
pxz - Parallel LZMA compressor compatible with XZ.

SYNOPSIS
pxz [options]... [file]...

DESCRIPTION
pxz is a compression utility that takes advantage of running XZ compression simultaneously on different parts of an input file on multiple cores and processors. This significantly speeds up compression time.

OPTIONS

-v  Be verbose.

-h, --help
    Display help.

-f, --force
    Force operation.

-c, --stdout
    Write results to standard output.

-k, --keep
    Write results to standard output.

-T, --threads
    Maximal number of threads to run simultaneously.

-D, --context-size
    Context size per one thread specified as a multiple of dictionary size for active compression level.

-V, --version
    Display version of PXZ.

EXAMPLES

pxz file1 file2
    Compress file1 and file2 to file1.xz and file2.xz using default settings.

pxz -T4 file1
    Compress file1 with default compression and maximum of 4 threads.

pxz -k -9 file1
    Use maximal compression and keep the original file1, use default number of threads.

pxz -f -T4 file1
    Compress file with default compression and with 4 threads.

pxz -kvf -3 -T8 file1
    Use -3 compression, keep the original file, use 8 threads and show progress.

tar Oc dir1 | pxz -D 12 -cv - > dir1.tar.xz
    Move dir1 into tar, then compress it with the context of 12 sizes of dictionary per thread, show progress and write result to dir1.tar.xz.

SEE ALSO
xz(1)

AUTHOR
Jindrich Novy <jnovy@users.sourceforge.net>

BUGS
Report bugs via http://bugzilla.redhat.com/bugzilla/